# Incident Templates

## GET /incident-templates

> Get incident templates.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Incident Templates"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"IncidentTemplate":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"summary":{"type":"string"},"status":{"$ref":"#/components/schemas/IncidentStatus"},"message":{"type":"string"},"sendNotification":{"type":"boolean"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}}}},"IncidentStatus":{"type":"string","description":"the incident status","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED"]},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}}}},"paths":{"/incident-templates":{"get":{"tags":["Incident Templates"],"summary":"Get incident templates.","parameters":[{"name":"start-index","in":"query","description":"an integer specifying the starting point (beginning with 0) when paging through a list of entities","schema":{"type":"integer","format":"int32","default":0}},{"name":"max-results","in":"query","description":"the maximum number of results when paging through a list of entities.","schema":{"maximum":100,"type":"integer","format":"int32","default":50}}],"responses":{"200":{"description":"The incident templates","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/IncidentTemplate"}}}}}}}}}}
```

## POST /incident-templates

> Create a new incident template.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Incident Templates"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"IncidentTemplate":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"summary":{"type":"string"},"status":{"$ref":"#/components/schemas/IncidentStatus"},"message":{"type":"string"},"sendNotification":{"type":"boolean"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}}}},"IncidentStatus":{"type":"string","description":"the incident status","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED"]},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}}}},"paths":{"/incident-templates":{"post":{"tags":["Incident Templates"],"summary":"Create a new incident template.","requestBody":{"description":"the incident template","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentTemplate"}}},"required":true},"responses":{"200":{"description":"The newly created incident template","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentTemplate"}}}}}}}}}
```

## GET /incident-templates/{id}

> Get a specific incident template.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Incident Templates"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"IncidentTemplate":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"summary":{"type":"string"},"status":{"$ref":"#/components/schemas/IncidentStatus"},"message":{"type":"string"},"sendNotification":{"type":"boolean"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}}}},"IncidentStatus":{"type":"string","description":"the incident status","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED"]},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}}}},"paths":{"/incident-templates/{id}":{"get":{"tags":["Incident Templates"],"summary":"Get a specific incident template.","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"The requested incident template","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentTemplate"}}}}}}}}}
```

## PUT /incident-templates/{id}

> Update the specific incident template

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Incident Templates"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"IncidentTemplate":{"type":"object","properties":{"id":{"type":"number"},"name":{"type":"string"},"summary":{"type":"string"},"status":{"$ref":"#/components/schemas/IncidentStatus"},"message":{"type":"string"},"sendNotification":{"type":"boolean"},"teams":{"type":"array","items":{"$ref":"#/components/schemas/TeamRel"}}}},"IncidentStatus":{"type":"string","description":"the incident status","enum":["INVESTIGATING","IDENTIFIED","MONITORING","RESOLVED"]},"TeamRel":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}}}}},"paths":{"/incident-templates/{id}":{"put":{"tags":["Incident Templates"],"summary":"Update the specific incident template","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"requestBody":{"description":"the incident template","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentTemplate"}}},"required":true},"responses":{"200":{"description":"The updated incident template","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncidentTemplate"}}}}}}}}}
```

## DELETE /incident-templates/{id}

> Remove a specific incident template.

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Incident Templates"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}}},"paths":{"/incident-templates/{id}":{"delete":{"tags":["Incident Templates"],"summary":"Remove a specific incident template.","parameters":[{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"responses":{"204":{"description":"Empty body delete response","content":{}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ilert.com/developer-docs/rest-api/api-reference/incident-templates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
